package com.yixin.ms.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.yixin.ms.model.vo.ChooseVO;
import com.yixin.ms.model.vo.MultipleChooseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;


@ApiModel("第三方接口返回")
@Data
@Accessors(chain = true)
public class ThirdPlatformRespDto {

    //通信信息
    @ApiModelProperty(value = "开门信号 0:开门 1:关门")
    private Integer isOpen = 1;
    @ApiModelProperty(value = "开门方式 default /  RS232")
    private String signalType = "default";
    @ApiModelProperty(value = "次数")
    private Integer openTimes = 1;
    @ApiModelProperty(value = "二进制码")
    private String signalNo;

    //显示信息
    @ApiModelProperty(value = "顶部标题")
    private String mainLine;

    @ApiModelProperty(value = "通行结果")
    private String subLine;

    @ApiModelProperty(value = "左副框上层")
    private String mainLineLeft;
    @ApiModelProperty(value = "左副框下层")
    private String subLineLeft;

    @ApiModelProperty(value = "右副框上层")
    private String mainLineRight;
    @ApiModelProperty(value = "右副框下层")
    private String subLineRight;

    @ApiModelProperty(value = "二维码码值")
    private String qrcodeText;
    @ApiModelProperty(value = "图片地址")
    private String advertise;

    //播报信息
    @ApiModelProperty(value = "语音播报信息")
    private String openVoiceMsg;


    //** ----------------20230726 连续任务响应参数 ------------
    @ApiModelProperty(value = "连续任务状态 /loading/pending连续任务/pendingMultiple/closing(默认)一次任务结束")
    private String status = "closing";
    @ApiModelProperty(value = "终端显示页面类型 common 默认普通 / scenic 景区")
    private String showPageType = "common";
    @ApiModelProperty(value = "任务id 任务状态为pending时必填")
    private String taskId;


    //显示配置
    @ApiModelProperty(value = "背景图地址")
    @JsonProperty("aBackgroundUrl")
    private String aBackgroundUrl;
    @ApiModelProperty(value = "大图标 1-成功 2-警告 3-失败")
    @JsonProperty("aMainIcon")
    private Integer aMainIcon;
    @ApiModelProperty(value = "大图标显示内容")
    @JsonProperty("aMainLine")
    private String aMainLine;

    @ApiModelProperty(value = "中间内容一")
    @JsonProperty("aSubLineFirst")
    private String aSubLineFirst;
    @ApiModelProperty(value = "中间内容二")
    @JsonProperty("aSubLineSecond")
    private String aSubLineSecond;


    @ApiModelProperty(value = "左-标题")
    @JsonProperty("aLineOneLabel")
    private String aLineOneLabel;
    @ApiModelProperty(value = "左-内容")
    @JsonProperty("aLineOneValue")
    private String aLineOneValue;
    @ApiModelProperty(value = "左二标题")
    @JsonProperty("aLineTwoLabel")
    private String aLineTwoLabel;
    @JsonProperty("aLineTwoValue")
    @ApiModelProperty(value = "左二内容")
    private String aLineTwoValue;
    @ApiModelProperty(value = "右一标题")
    @JsonProperty("aLineThrLabel")
    private String aLineThrLabel;
    @ApiModelProperty(value = "右一内容")
    @JsonProperty("aLineThrValue")
    private String aLineThrValue;

    @ApiModelProperty(value = "小背景图地址")
    @JsonProperty("bBackgroundUrl")
    private String bBackgroundUrl;
    @ApiModelProperty(value = "小图标 1-成功 2-警告 3-失败")
    @JsonProperty("bMainIcon")
    private Integer bMainIcon;
    @ApiModelProperty(value = "小图标显示内容")
    @JsonProperty("bMainLine")
    private String bMainLine;
    @ApiModelProperty(value = "小图标下方显示内容")
    @JsonProperty("bSubLine")
    private String bSubLine;

    @ApiModelProperty(value = "选择列表")
    @JsonProperty("bChoiseList")
    private List<ChooseVO> bChoiseList;

    //** ----------------20230829 景区模式-多人多票多选模式兼容 ------------
    @ApiModelProperty(value = "是否还要继续请求 默认：true")
    @JsonProperty("end")
    private Boolean end = Boolean.TRUE;
    @ApiModelProperty(value = "继续的请求延时多少毫秒发起 默认：0")
    @JsonProperty("delay")
    private Integer delay = 0;

    @ApiModelProperty(value = "背景图地址")
    @JsonProperty("cBackgroundUrl")
    private String cBackgroundUrl;

    @ApiModelProperty(value = "确认按钮文字 默认：确认核销")
    @JsonProperty("cButtonText")
    private String cButtonText = "确认核销";
    @ApiModelProperty(value = "选择结果辅助文字 默认：已勾选$count张票")
    @JsonProperty("cButtonSubText")
    private String cButtonSubText = "已勾选0张票";

    @ApiModelProperty(value = "多选列表")
    @JsonProperty("cChoiseList")
    private List<MultipleChooseVO> cChoiseList;

    @ApiModelProperty(value = "背景图地址")
    @JsonProperty("dBackgroundUrl")
    private String dBackgroundUrl;
    @ApiModelProperty(value = "处理中...（0/1）")
    @JsonProperty("dMainLine")
    private String dMainLine;
    @ApiModelProperty("用户姓名")
    private String name;
    @ApiModelProperty(value = "身份号码")
    private String idNumber;
    @ApiModelProperty(value = "照片")
    private String photo;
}

