package com.yixin.ms.model.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description:
 * @ClassName ThirdPartEnum
 * @Author WXG
 * @Date 2022/4/19 13:12
 */
@Getter
@AllArgsConstructor
public enum FaceDeviceTypeEnum {
    TB(1,"TB", "人脸终端"),
    FOUR_INCH_SCREEN(2,"RY", "四寸屏"),
    HANDHELD_TERMINALS(3,"HANDHELD_TERMINALS", "手持终端"),
    FKJ(4,"FKJ", "访客机"),
    ZFB(5,"ZFB", "支付宝人脸终端");

    private Integer type;

    private String code;

    private String desc;


    public static FaceDeviceTypeEnum getDeviceTypeByCode(String code){
        if(StrUtil.isBlank(code)){
            return null;
        }
        for (FaceDeviceTypeEnum faceDeviceTypeEnum : values()){
            if(code.equals(faceDeviceTypeEnum.getCode())){
                return faceDeviceTypeEnum;
            }
        }
        return null;
    }
}
