package com.yixin.ms.model.enums;

import com.yixin.ms.boot.uitls.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shisl
 * @package com.yixin.ms.model.enums
 * @class VerifyTypeEnum
 * @date 2024/3/15 下午2:55
 * @description
 */
@Getter
@AllArgsConstructor
public enum VerifyTypeEnum {

    FACE("0", "刷脸认证", "FACE"),
    IDCARD("1", "身份证认证", "IDCARD"),
    QRCODE("3", "二维码认证", "QRCODE"),
    PASSPORT("4", "护照认证", "PASSPORT"),
    IDCARDINPUT("5", "手动输入证件号", "INPUT"),
    ;

    private String code;

    private String desc;

    private String text;


    public static VerifyTypeEnum getByCode(String code) {
        if (Preconditions.isNotBlank(code)) {
            for (VerifyTypeEnum typeEnum : values()) {
                if (typeEnum.getCode().equals(code)) {
                    return typeEnum;
                }
            }
        }
        return null;
    }
    public static VerifyTypeEnum getByText(String text) {
        if (Preconditions.isNotBlank(text)) {
            for (VerifyTypeEnum typeEnum : values()) {
                if (typeEnum.getText().equals(text)) {
                    return typeEnum;
                }
            }
        }
        return IDCARD;
    }


}
