package com.yixin.ms.model.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


import java.util.List;


@Data
@Accessors(chain = true)
public class HealtCodeUserVO {

    /**
     * 用户信息id
     */
    private List<HealtCodeNucleinVO> nuclein;

    private List<HealtCodeTypeVO> data;
    /**
     * 疫苗接种数量
     */
    private String vaccineNum;

    /**
     * 1 未去过中高风险地区 2 去过中高风险地区 3 未查询到 结果
     */
    private String travelValidation;

    @ApiModelProperty("用户姓名")
    private String username;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "是否放行 0放行，1禁止通行")
    private Integer isOpen;

    @ApiModelProperty(value = "通行文案显示")
    private String openMsg;

    @ApiModelProperty("标题说明")
    private String title;

    @ApiModelProperty("标题文字颜色")
    private String titleColor;

    @ApiModelProperty("背景颜色")
    private String backgroundColor;

    @ApiModelProperty("疫苗标题")
    private String vaccineIcoTitle;

    @ApiModelProperty("疫苗图标地址")
    private String vaccineIconUrl;

    @ApiModelProperty("疫苗接种数量字体颜色")
    private String vaccineNumColor;

    @ApiModelProperty("行程标题")
    private String travelValidationTitle;

    @ApiModelProperty("行程图标地址")
    private String travelValidationIconUrl;

    @ApiModelProperty("行程描述")
    private String travelValidationDesc;

    @ApiModelProperty("通行语音播报提示语")
    private String openVoiceMsg;

    @ApiModelProperty("显示的用户姓名")
    private String showUsername;

    @ApiModelProperty(value = "显示的身份号码")
    private String showIdNumber;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "是否限制三天三检 1:是   0:否（默认) 四码一屏场所码接口返回")
    private Boolean limitGather;

    @ApiModelProperty(value = "是否发出警报声 true/false")
    private Boolean isAlarm = false;

    /**
     * ------ 账户添加配置信息2023-04-13 ------
     **/
    @ApiModelProperty("二维码是否显示 true/false")
    private Boolean showQrcode = false;
    @ApiModelProperty(value = "二维码的码值")
    private String qrcodeText;
    @ApiModelProperty(value = "广告图片的地址 ")
    private String advertise;

    @ApiModelProperty(value = "开门方式 default /  RS232")
    private String useSerialPort = "default";
    @ApiModelProperty(value = "次数")
    private Integer openTimes = 1;
    @ApiModelProperty(value = "二进制码")
    private String signalNo;

    @ApiModelProperty(value = "左副框上层")
    private String mainLineLeft;

    @ApiModelProperty(value = "右副框上层")
    private String mainLineRight;


    //** ----------------20230726 以下为连续任务响应参数 showPageType = scenic ------------
    @ApiModelProperty(value = "连续任务状态 pending连续任务/closing(默认)一次任务结束", position = 1)
    private String status = "closing";

    @ApiModelProperty(value = "终端显示页面类型 common 默认普通 / scenic 景区", position = 2)
    private String showPageType = "common";

    @ApiModelProperty(value = "任务id 任务状态为pending时必填")
    private String taskId;

    //显示配置
    @ApiModelProperty(value = "大图标地址", position = 3)
    @JsonProperty("aMainIcon")
    private String aMainIcon;
    @ApiModelProperty(value = "大图标显示内容", position = 4)
    @JsonProperty("aMainLine")
    private String aMainLine;

    @ApiModelProperty(value = "中间内容一", position = 5)
    @JsonProperty("aSubLineFirst")
    private String aSubLineFirst;
    @ApiModelProperty(value = "中间内容二", position = 6)
    @JsonProperty("aSubLineSecond")
    private String aSubLineSecond;


    @ApiModelProperty(value = "左-标题", position = 7)
    @JsonProperty("aLineOneLabel")
    private String aLineOneLabel;
    @ApiModelProperty(value = "左-内容", position = 8)
    @JsonProperty("aLineOneValue")
    private String aLineOneValue;
    @ApiModelProperty(value = "左二标题", position = 9)
    @JsonProperty("aLineTwoLabel")
    private String aLineTwoLabel;
    @JsonProperty("aLineTwoValue")
    @ApiModelProperty(value = "左二内容", position = 10)
    private String aLineTwoValue;
    @ApiModelProperty(value = "右一标题", position = 11)
    @JsonProperty("aLineThrLabel")
    private String aLineThrLabel;
    @ApiModelProperty(value = "右一内容", position = 12)
    @JsonProperty("aLineThrValue")
    private String aLineThrValue;

    @ApiModelProperty(value = "小图标", position = 13)
    @JsonProperty("bMainIcon")
    private String bMainIcon;
    @ApiModelProperty(value = "小图标显示内容", position = 14)
    @JsonProperty("bMainLine")
    private String bMainLine;
    @ApiModelProperty(value = "小图标下方显示内容", position = 15)
    @JsonProperty("bSubLine")
    private String bSubLine;

    @ApiModelProperty(value = "背景图地址")
    @JsonProperty("aBackgroundUrl")
    private String aBackgroundUrl;
    @ApiModelProperty(value = "小背景图地址")
    @JsonProperty("bBackgroundUrl")
    private String bBackgroundUrl;

    @ApiModelProperty(value = "选择列表", position = 16)
    @JsonProperty("bChoiseList")
    private List<ChooseVO> bChoiseList;

    @ApiModelProperty(value = "响应时间", position = 17)
    private Integer countDown = 110;


    //** ----------------20230829 景区模式-多人多票多选模式兼容 ------------
    @ApiModelProperty(value = "是否还要继续请求 默认：true", position = 18)
    @JsonProperty("end")
    private Boolean end = Boolean.TRUE;
    @ApiModelProperty(value = "继续的请求延时多少毫秒发起 默认：0", position = 19)
    @JsonProperty("delay")
    private Integer delay = 0;

    @ApiModelProperty(value = "背景图地址", position = 20)
    @JsonProperty("cBackgroundUrl")
    private String cBackgroundUrl;

    @ApiModelProperty(value = "确认按钮文字 默认：确认核销", position = 21)
    @JsonProperty("cButtonText")
    private String cButtonText = "确认核销";
    @ApiModelProperty(value = "选择结果辅助文字 默认：已勾选$count张票", position = 22)
    @JsonProperty("cButtonSubText")
    private String cButtonSubText = "已勾选$count张票";

    @ApiModelProperty(value = "多选列表", position = 23)
    @JsonProperty("cChoiseList")
    private List<MultipleChooseVO> cChoiseList;

    @ApiModelProperty(value = "背景图地址", position = 24)
    @JsonProperty("dBackgroundUrl")
    private String dBackgroundUrl;
    @ApiModelProperty(value = "处理中...（0/1）", position = 25)
    @JsonProperty("dMainLine")
    private String dMainLine;

    //三方新增参数
    @ApiModelProperty(value = "开⻔⽅式 default / RS232")
    private String signalType;
    @ApiModelProperty(value = "顶部标题")
    private String mainLine;
    @ApiModelProperty(value = "通⾏结果")
    private String subLine;
    @ApiModelProperty(value = "左副框下层")
    private String subLineLeft;
    @ApiModelProperty(value = "右副框下层")
    private String subLineRight;
    @ApiModelProperty(value = "照片")
    private String photo;

    @ApiModelProperty("用户姓名")
    private String name;
    @ApiModelProperty(value = "卡号")
    private String cardIdEx;
}

